﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Collections;

namespace WC_ShowCustomValueInToolTip
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraChart1.ChartType = Infragistics.UltraChart.Shared.Styles.ChartType.ColumnChart;

            DataTable columnData = GetColumnData();

            ultraChart1.DataSource = columnData;
            ultraChart1.Data.excludedColumns.Clear();
            ultraChart1.Data.excludedColumns.Add(2);

            ultraChart1.Axis.X.Labels.SeriesLabels.Visible = true;
            ultraChart1.Axis.X.Labels.Visible = true;
            ultraChart1.Axis.X.Labels.ItemFormatString = "<SERIES_LABEL:MM/dd>";

            ultraChart1.Axis.Y.RangeType = Infragistics.UltraChart.Shared.Styles.AxisRangeType.Custom;
            ultraChart1.Axis.Y.RangeMin = 0;
            ultraChart1.Axis.Y.RangeMax = columnData.Rows.Cast<DataRow>().Max(r => r.Field<int>(1)) + 1;

            ultraChart1.DataBind();

            SetUpTooltips(columnData);

        }

        private void SetUpTooltips(DataTable dt)
        {
            var labelHash = new Hashtable();
            labelHash.Add("Tooltips", new CustomTooltips(dt));
            ultraChart1.Tooltips.Format = Infragistics.UltraChart.Shared.Styles.TooltipStyle.Custom;
            ultraChart1.Tooltips.FormatString = "<Tooltips>";
            ultraChart1.LabelHash = labelHash;
        }

        private DataTable GetColumnData()
        {
            DataTable dt = new DataTable();

            dt.Columns.Add("Date", typeof(DateTime));
            dt.Columns.Add("Count", typeof(int));
            dt.Columns.Add("SigCount", typeof(int));

            dt.Rows.Add(new object[] { DateTime.Today, 12, 15 });
            dt.Rows.Add(new object[] { DateTime.Today.AddDays(1), 12, 18 });
            dt.Rows.Add(new object[] { DateTime.Today.AddDays(2), 10, 15 });
            dt.Rows.Add(new object[] { DateTime.Today.AddDays(3), 8, 10 });
            dt.Rows.Add(new object[] { DateTime.Today.AddDays(4), 7, 14 });
            dt.Rows.Add(new object[] { DateTime.Today.AddDays(5), 13, 15 });
            dt.Rows.Add(new object[] { DateTime.Today.AddDays(6), 12, 15 });
            dt.Rows.Add(new object[] { DateTime.Today.AddDays(7), 10, 10 });

            return dt;
        }
    }
}
